Subject: Re: [mile] some minor coorrections for RFC7970 and its schema

From: Roman Danyliw <[email-masked]>
Date: Fri, 1 Sep 2017 19:42:12 +0000

Hello Take!

Thanks for finding all of these issues!  A few comments below.

> -----Original Message-----
> From: Takeshi Takahashi [mailto:[email-masked]]
> Sent: Wednesday, August 23, 2017 2:31 AM
> To: [email-masked]; Roman Danyliw <[email-masked]>
> Subject: some minor coorrections for RFC7970 and its schema
> 
> Hello Roman and all,
> 
> Based on the discussion at the Prague meeting, let me propose the following
> corrections for RFC7970 and its schema.
> 
> [Proposed changes to the IODEFv2 schema registered at the IANA website]
> Change #1: unnecessary space in the schemaLocation of xmldsig-core-
> schema.xsd was removed 
>
> Change #2: unnecessary space in the
> schemaLocation of iodef-enum-1.0.xsd was removed 
>
> Change #3:
> unnecessary space in the schemaLocation of iodef-sci-1.0.xsd was removed

Agreed.  The schema in the IANA XML registry should be updated.

I believe that this white space was due to the IANA Considerations section requesting that the schema in the Section 8 be put it into the XML registry as-is.  What was forgotten in the request was that the long URLs in schemaLocation exceeded a single line (72 characters) and were manually wrapped to the next line in the text.  The IANA Consideration text should have asked that this line wrapping be removed in the formal XML schema in the registry.  There is no fix for this in the RFC (only in the XML registry).

Will filing an errata allow the us update the XML registry?  No procedure was added the RFC to update the XML (only the enum value registries).

> Change #4 The minOccurs of the URL was defined in the ThreatActor class.
> (Otherwise, the schema does not allow us to omit the URL element.) 

Agreed.  An errata needs to be published for Section 8 and an update made to the XML Registry.  No change is required for the corresponding non-normative text, Section 3.7, which correctly states that URL is optional.

> Change> #5 the "ext-value" was not supported by the above enum value.
> Therefore, the bulkobservable-type-type was fixed to allow the value "ext-
> value".

Agreed.  An errata needs to be published for Section 8 and an update made to the XML Registry (either due to the errata or by registering a new value).  No change is required for the corresponding non-normative text, Section 3.29.3.1, which does have the value.

> FYI: The attached file is the revised schema file.
> 
> [Proposed correction to the RFC7970]
> The IODEFv2 schema is embedded in the RFC7970.
> Therefore, the above correction needs to be reflected to the RFC7970 as
> well.

Agreed, but only Changes #4-5 (per description above).

> In addition to that, in the example in Section 7.2, the current text has the
> following line.
>                <BulkObservable type="fqdn"> However, "fqdn" is not a qualified
> value. We may use "domain-name" or "ext-value".

Agreed.  I'd recommend an errata what uses "domain-name".

Again, thank you for finding these error and providing fixes!

Roman